# association_qqplot.R
source("qq_plotb2.R")
Args <- commandArgs(TRUE);

association_workdir = Args[1];
test_label = Args[2];
chr_begin = Args[3];
chr_end = Args[4];
qqplot_file = Args[5];

pValues = double(0);
for (chr in chr_begin:chr_end){
	# readin the result file
	rsFile = paste(association_workdir, "association_", test_label, "_chr", chr,".csv", sep="");
	rsData = read.csv(rsFile);
	#cat(paste(chr, max(rsData[,2]), which(rsData[,2]==max(rsData[,2])), "\n"));
	pValues = c(pValues, as.matrix(rsData[,3]));
}

cat(paste("outputing plot to:", qqplot_file, "\n"))
#pdf(qqplot_file, height=5, width=5)
png(filename=qqplot_file, height=512, width=512)


#abline(0, 1)
pValues <- pValues[!is.na(pValues)]
pValues <- pValues[pValues>=0];
#summary(pValues);
qq_plotb(pValues,conflev=0.95,titlename="");

dev.off()


